/*
========================================
Global.css
----------------------------------------
Sämtliche CSS-Formatierungen in dieser
Datei stehen sowohl im FRONTEND als auch
im BACKEND zur Verfügung.
========================================
*/



/* Schrift einladen */
@import url('../../../global_fonts/hy-roboto-slab/fonts.css');
@import url('../../../global_fonts/hy-source-sans-pro/fonts.css');


:root {
--gap_first: 40rem;
--col_space_default: 40rem;

/* Farben - Hell (l) - Normal (n) / Alternativ (x) */
--clr_l_n0: #323232;
--clr_l_x0: #8c8c8c;
--clr_l_n1: #00a5cd;
--clr_l_x1: #00a5cd;
--clr_l_n2: #dc46b4;
--clr_l_x2: #ff91e2;
--clr_l_nmute: #aaaaaa;
--clr_l_xmute: #cdcdcd;

/* Farben - Dunkel (d) - Normal (n) / Alternativ (x) */
--clr_d_n0: #ffffff;
--clr_d_x0: #cecece;
--clr_d_n1: #5adde9;
--clr_d_x1: #7eeefa;
--clr_d_n2: #ff8de0;
--clr_d_x2: #ffaae4;
--clr_d_nmute: #aaaaaa;
--clr_d_xmute: #cdcdcd;

/* Hintergrund - Hell (l) - Normal (n) / Alternativ (x) */
--bgr_l_n0_a: #ffffff; --bgr_l_n0_b: #323232;
--bgr_l_x0_a: #323232; --bgr_l_x0_b: #ffffff;
--bgr_l_n1_a: #d7f0f5; --bgr_l_n1_b: #00a5cd;
--bgr_l_x1_a: #00a5cd; --bgr_l_x1_b: #ffffff;
--bgr_l_n2_a: #fae1f5; --bgr_l_n2_b: #dc46b4;
--bgr_l_x2_a: #dc46b4; --bgr_l_x2_b: #ffffff;
--bgr_l_nmute_a: #ebebeb; --bgr_l_nmute_b: #323232;
--bgr_l_xmute_a: #aaaaaa; --bgr_l_xmute_b: #ffffff;

/* Hintergrund - Dunkel (d) - Normal (n) / Alternativ (x) */
--bgr_d_n0_a: #323232; --bgr_d_n0_b: #ffffff;
--bgr_d_x0_a: #ffffff; --bgr_d_x0_b: #323232;
--bgr_d_n1_a: #0a4655; --bgr_d_n1_b: #00a5cd;
--bgr_d_x1_a: #00a5cd; --bgr_d_x1_b: #ffffff;
--bgr_d_n2_a: #641e55; --bgr_d_n2_b: #dc46b4;
--bgr_d_x2_a: #dc46b4; --bgr_d_x2_b: #ffffff;
--bgr_d_nmute_a: #414141; --bgr_d_nmute_b: #ffffff;
--bgr_d_xmute_a: #646464; --bgr_d_xmute_b: #ffffff;


/* Grundform (border-radius) */
--shape_media: 5rem;
--shape_image: 5rem;
--shape_montage: 10rem;
--shape_card: 10rem;
--shape_info: 5rem;
--shape_button: 5rem;
--shape_pull_down: 5rem;
--shape_modal: 10rem;
--shape_formular: 5rem;
--shape_checkbox: 5rem;
--shape_table_line: 5rem;
--shape_price_label: 5rem;


/* Schrift - Grundformatierung */
--body_font_weight: 300;
--body_font_weight_s: 300;
--body_letter_spacing: 0em;
--body_letter_spacing_s: 0em;
--body_text_transform: none;


/* Absatz */
--text_autogap: 20rem;


/* Schrift - Familie */
--font_family_primary: 'Source Sans Pro',Arial,sans-serif;
--font_family_secondary: 'Roboto Slab',serif;
--font_family_monospace: monospace;
--font_family_cursive: cursive;
--font_family_fantasy: fantasy;
--font_family_headline: var(--font_family_secondary, inherit);
--font_family_firstletter: var(--font_family_secondary, inherit);
--font_family_price: var(--font_family_secondary, inherit);
--font_family_button: var(--font_family_secondary, inherit);


/* Überschriften - Allgemein */
--head_lh_default: 1;		/* Zeilenhöhe */
--head_wg_default: 400;		/* Zeichenstärke */
--head_gt_default: 1.25em;	/* Abstand Oben */
--head_gb_default: 0.5em;	/* Abstand Unten */
--head_tt_default: uppercase;	/* Textumwandlung (z.B. uppercase) */
--head_ls_default: 0em;		/* Zeichenabstand */
--head_ls_steps: 0em;		/* Zeichenabstand - Verkleinerungsschritt */
/* Überschriften - Allgemein - Kleine Auflösungen */
--head_lh_default_s: 1.2;		/* Zeilenhöhe */
--head_wg_default_s: 400;		/* Zeichenstärke */
--head_gt_default_s: 1.25em;	/* Abstand Oben */
--head_gb_default_s: 0.5em;		/* Abstand Unten */
--head_tt_default_s: uppercase;		/* Textumwandlung (z.B. uppercase) */
--head_ls_default_s: 0em;		/* Zeichenabstand */
--head_ls_steps_s: 0em;			/* Zeichenabstand - Verkleinerungsschritt */
/* Überschriften */
--head_1: 60rem; --head_1_xl: 40rem; --head_1_l: 35rem; --head_1_size_steps: unset;
--head_2: 50rem; --head_2_xl: 35rem; --head_2_l: 32rem; --head_2_size_steps: unset;
--head_3: 40rem; --head_3_xl: 30rem; --head_3_l: 28rem; --head_3_size_steps: unset;
--head_4: 30rem; --head_4_xl: 25rem; --head_4_l: 22rem; --head_4_size_steps: unset;
--head_5: 25rem; --head_5_xl: 22rem; --head_5_l: 20rem; --head_5_size_steps: unset;
--head_6: 20rem; --head_6_xl: 18rem; --head_6_l: 16rem; --head_6_size_steps: unset;
/* Überschriften - Kleine Auflösungen */
--head_1_m: 7vw; --head_1_s: 7vw;
--head_2_m: 6.5vw; --head_2_s: 6.5vw;
--head_3_m: 6vw; --head_3_s: 6vw;
--head_4_m: 5.5vw; --head_4_s: 5.5vw;
--head_5_m: 5.5vw; --head_5_s: 5.5vw;
--head_6_m: 5.5vw; --head_6_s: 5.5vw;


/* Fließtext - Allgemein */
--text_lh_default: 1.4;		/* Zeilenhöhe */
--text_tt_default: none;	/* Textumwandlung (z.B. uppercase) */
--text_ls_default: 0em;		/* Zeichenabstand */
--text_ls_steps: 0em;		/* Zeichenabstand - Verkleinerungsschritt */
/* Fließtext - Allgemein - Kleine Auflösungen */
--text_lh_default_s: 1.4;	/* Zeilenhöhe */
--text_tt_default_s: none;	/* Textumwandlung (z.B. uppercase) */
--text_ls_default_s: 0em;	/* Zeichenabstand */
/* Fließtext */
--text_xsmall: 12rem;	--text_small_size_steps: 0.15rem;
--text_small: 14rem;	--text_small_size_steps: 0.25rem;
--text_normal: 16rem;	--text_normal_size_steps: 0.25rem;
--text_large: 22rem;	--text_large_size_steps: 0.5rem;	--text_large_lh: 1.3;		--text_large_lh_s: 1.4;
--text_xlarge: 26rem;	--text_xlarge_size_steps: 1rem;		--text_xlarge_lh: 1.2;		--text_xlarge_lh_s: 1.4;
--text_huge: 32rem;		--text_huge_size_steps: 2rem;		--text_huge_lh: 1.1;		--text_huge_lh_s: 1.4;
--text_xhuge: 42rem;	--text_xhuge_size_steps: 4rem;		--text_xhuge_lh: 1.1;		--text_xhuge_lh_s: 1.4;
/* Fließtext - Kleine Auflösungen */
--text_xsmall_s: 3.5vw;
--text_small_s: 3.5vw;
--text_normal_s: 4vw;		--text_normal_lh_s: 1.3;
--text_large_s: 4vw;		--text_large_lh_s: 1.3;
--text_xlarge_s: 4.5vw;		--text_xlarge_lh_s: 1.3;
--text_huge_s: 5vw;			--text_huge_lh_s: 1.3;
--text_xhuge_s: 5vw;		--text_xhuge_lh_s: 1.3;


/* Allgemein */
--box_main: 1280;
--box_size_medium: 1280rem;
}
.hui_button {
	font-weight: 400;
}
/* .hui_button.hui_button_alt {
	border: 2rem solid transparent;
	background-color: transparent;
	box-shadow: 0 0 0 1rem var(--button_color, currentcolor) inset;
} */
